Loading...
Searching...
No Matches
list.c File Reference

Manage Library - Element info. More...

`#include <grass/gis.h>`
`#include "manage_local_proto.h"`
Include dependency graph for manage/list.c:

Go to the source code of this file.

## Functions

const struct list * | M_get_list (int n)
| Get list structure.
int | M_get_element (const char *data_type)
| Find element type by name.

## Detailed Description

Manage Library - Element info.

(C) 2001-2011 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Original author CERL

Definition in file manage/list.c.

## Function Documentation

## M_get_element()

int M_get_element | ( | const char * | data_type | ) |

Find element type by name.

Parameters

  data_type | element type

Returns
  element id
  -1 not found

Definition at line 42 of file manage/list.c.

References G_strcasecmp(), list, and nlist.

## M_get_list()

const struct list * M_get_list | ( | int | n | ) |

Get list structure.

Parameters

  n | element id

Returns
  pointer to list structure
  NULL on error

Definition at line 26 of file manage/list.c.

References list, nlist, and NULL.